Package net.md_5.bungee.protocol.packet

# Class PlayerListItem.Item

java.lang.Object
net.md_5.bungee.protocol.packet.PlayerListItem.Item

Enclosing class:
  PlayerListItem

public static class PlayerListItem.Item extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Item()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getChatSessionId()`
  `net.md_5.bungee.api.chat.BaseComponent`
  `getDisplayName()`
  `Integer`
  `getGamemode()`
  `Boolean`
  `getListed()`
  `Integer`
  `getListOrder()`
  `Integer`
  `getPing()`
  `Property[]`
  `getProperties()`
  `PlayerPublicKey`
  `getPublicKey()`
  `Boolean`
  `getShowHat()`
  `String`
  `getUsername()`
  `UUID`
  `getUuid()`
  `int`
  `hashCode()`
  `void`
  `setChatSessionId(UUID chatSessionId)`
  `void`
  `setDisplayName(net.md_5.bungee.api.chat.BaseComponent displayName)`
  `void`
  `setGamemode(Integer gamemode)`
  `void`
  `setListed(Boolean listed)`
  `void`
  `setListOrder(Integer listOrder)`
  `void`
  `setPing(Integer ping)`
  `void`
  `setProperties(Property[] properties)`
  `void`
  `setPublicKey(PlayerPublicKey publicKey)`
  `void`
  `setShowHat(Boolean showHat)`
  `void`
  `setUsername(String username)`
  `void`
  `setUuid(UUID uuid)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Item

    public Item()

- ## Method Details

  - ### getUuid

    public UUID getUuid()

  - ### getUsername

    public String getUsername()

  - ### getProperties

    public Property[] getProperties()

  - ### getChatSessionId

    public UUID getChatSessionId()

  - ### getPublicKey

    public PlayerPublicKey getPublicKey()

  - ### getListed

    public Boolean getListed()

  - ### getGamemode

    public Integer getGamemode()

  - ### getPing

    public Integer getPing()

  - ### getDisplayName

    public net.md_5.bungee.api.chat.BaseComponent getDisplayName()

  - ### getListOrder

    public Integer getListOrder()

  - ### getShowHat

    public Boolean getShowHat()

  - ### setUuid

    public void setUuid(UUID uuid)

  - ### setUsername

    public void setUsername(String username)

  - ### setProperties

    public void setProperties(Property[] properties)

  - ### setChatSessionId

    public void setChatSessionId(UUID chatSessionId)

  - ### setPublicKey

    public void setPublicKey(PlayerPublicKey publicKey)

  - ### setListed

    public void setListed(Boolean listed)

  - ### setGamemode

    public void setGamemode(Integer gamemode)

  - ### setPing

    public void setPing(Integer ping)

  - ### setDisplayName

    public void setDisplayName(net.md_5.bungee.api.chat.BaseComponent displayName)

  - ### setListOrder

    public void setListOrder(Integer listOrder)

  - ### setShowHat

    public void setShowHat(Boolean showHat)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`